Name: oidc-agent
Version: 4.1.1
Release: 1%{?dist}
Summary: Command-line tools for managing OpenID Connect access tokens
Group: Misc
License: MIT
URL: https://github.com/indigo-dc/oidc-agent
Source0: https://github.com/indigo-dc/oidc-agent/archive/refs/tags/v%{version}.tar.gz

BuildRequires: libcurl-devel >= 7.29
BuildRequires: libsodium-devel >= 1.0.14
BuildRequires: libsodium-static >= 1.0.14
BuildRequires: libmicrohttpd-devel >= 0.9.33
BuildRequires: libseccomp-devel >= 2.3
BuildRequires: help2man >= 1.41
BuildRequires: libsecret-devel >= 0.18.4
BuildRequires: desktop-file-utils

Requires: libsodium >= 1.0.11
Requires: libcurl >= 7.29
Requires: libmicrohttpd >= 0.9.33
Requires: libseccomp >= 2.3
Requires: libsecret >= 0.18.4
Requires: yad
Requires: jq

%description
Set of tools to manage OpenID Connect tokens and make them easily usable from
the command line. These tools follow ssh-agent design, so OIDC tokens can be
handled in a similar way as ssh keys.

%prep
%setup -q

%build
make

%install
make install \
  BIN_PATH=${RPM_BUILD_ROOT}%{_prefix} \
  BIN_AFTER_INST_PATH=${RPM_BUILD_ROOT}%{_prefix} \
  PROMPT_BIN_PATH=${RPM_BUILD_ROOT}%{_prefix} \
  MAN_PATH=${RPM_BUILD_ROOT}%{_mandir} \
  PROMPT_MAN_PATH=${RPM_BUILD_ROOT}%{_mandir} \
  CONFIG_PATH=${RPM_BUILD_ROOT}%{_sysconfdir} \
  BASH_COMPLETION_PATH=${RPM_BUILD_ROOT}%{_datarootdir}/bash-completion/completions \
  LIB_PATH=${RPM_BUILD_ROOT}%{_libdir} \
  DESKTOP_APPLICATION_PATH=${RPM_BUILD_ROOT}%{_datarootdir}/applications \
  XSESSION_PATH=${RPM_BUILD_ROOT}%{_sysconfdir}/X11

# fix paths in installed files
sed -i -e "s!${RPM_BUILD_ROOT}!!g" ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/Xsession.d/91oidc-agent
sed -i -e "s!${RPM_BUILD_ROOT}!!g" ${RPM_BUILD_ROOT}%{_datarootdir}/applications/oidc-gen.desktop

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/oidc-gen.desktop

%files
%config %{_sysconfdir}/oidc-agent
%{_sysconfdir}/X11/Xsession.d/91oidc-agent
%{_bindir}/*
%{_libdir}/liboidc-agent.so.4*
%attr(0644,-,-) %{_mandir}/man1/*
%{_datarootdir}/bash-completion/completions
%{_datarootdir}/applications/oidc-gen.desktop

%changelog
* Thu Jul 22 2021 Petr Vokac <petr.vokac@cern.ch> 4.1.1-1
- initial package
